> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokencraft.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tokenset

> Retrieve a specific tokenset by ID

<ParamField path="id" type="string" required>
  Tokenset ID
</ParamField>

# Get Tokenset

Retrieves detailed information about a specific tokenset.

## Endpoint

```
GET /tokensets/{id}
```

## Request

### Path Parameters

| Parameter | Type   | Required | Description |
| --------- | ------ | -------- | ----------- |
| `id`      | string | Yes      | Tokenset ID |

## Response

**Status:** `200 OK`

```json theme={null}
{
  "id": "tokenset-123",
  "workspace_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Colors",
  "description": "Color tokens for the design system",
  "created_at": "2025-01-15T10:00:00Z",
  "updated_at": "2025-01-15T10:00:00Z"
}
```

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "Authorization: Bearer tkc_your_token_here" \
    https://app.tokencraft.dev/api/v1/tokensets/tokenset-123
  ```

  ```javascript JavaScript theme={null}
  const tokensetId = 'tokenset-123';

  const response = await fetch(
    `https://app.tokencraft.dev/api/v1/tokensets/${tokensetId}`,
    {
      headers: { 'Authorization': `Bearer ${process.env.TOKEN}` }
    }
  );

  const tokenset = await response.json();
  ```

  ```python Python theme={null}
  response = requests.get(
      f'https://app.tokencraft.dev/api/v1/tokensets/{tokenset_id}',
      headers={'Authorization': f'Bearer {token}'}
  )
  ```
</CodeGroup>

## Next Steps

<CardGroup cols={2}>
  <Card title="List Modes" href="/api-reference/tokensets/modes">
    Get all modes for this tokenset
  </Card>

  <Card title="Export Tokenset" href="/api-reference/export/tokenset">
    Export all modes
  </Card>
</CardGroup>
